Sign inGet Started

Get a workspace in the organization

GET
/v1/organization/workspaces/{workspace_id}
const workspace = await bird.organization.workspaces.get(
  "ws_01krdgeqcxet5s7t44vh8rt9mg",
);
console.log(workspace.name);
Réponse200
{
  "id": "ws_01krdgeqcxet5s7t44vh8rt9mg",
  "organization_id": "org_01krdgeqcxet5s7t44vh8rt9mg",
  "name": "Production",
  "notification_emails": {
    "operational": [
      "alerts@example.com"
    ]
  },
  "created_at": "2026-05-20T09:14:52Z",
  "updated_at": "2026-05-25T16:42:01Z"
}

Returns any workspace in the organization by ID. Organization administrators can read workspaces without holding a workspace-level role. Organization master keys and authorized CLI or MCP access tokens need organization workspace read access. Workspace API keys cannot call this operation.

Paramètres

workspace_idstring

Workspace identifier. Starts with ws_.

Contenu de la réponse

id
string
obligatoire
organization_id
string
obligatoire
name
string
obligatoire
notification_emails
object
obligatoire
Afficher les attributs enfants
logo_url
nullable string

HTTPS URL to the current workspace logo. null when unset.

created_at
string
obligatoire
updated_at
string
obligatoire

Poursuivez avec la documentation, les guides et les exemples sur ce sujet.